> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get resources



## OpenAPI

````yaml /openapi/workshop.json get /v1/workshop/tasks/{task_id}/resources/
openapi: 3.0.3
info:
  title: Yume API — Мастерская
  version: 1.0.0
  description: Работы, ремонт и сервисное обслуживание.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/workshop/tasks/{task_id}/resources/:
    get:
      tags:
        - tasks
      summary: Get resources
      operationId: tasks_resources_list
      parameters:
        - in: path
          name: task_id
          schema:
            type: integer
          required: true
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WorkshopResource'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    WorkshopResource:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inventory:
          allOf:
            - $ref: '#/components/schemas/BaseInventory'
          readOnly: true
        inventory_group:
          allOf:
            - $ref: '#/components/schemas/BaseInventoryGroup'
          readOnly: true
        resource:
          allOf:
            - $ref: '#/components/schemas/Resource'
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        inventory_group_count:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        approved:
          type: boolean
        extra: {}
        tenant:
          type: integer
        tarif:
          type: integer
          nullable: true
        task:
          type: integer
          readOnly: true
        approved_by:
          type: integer
          nullable: true
      required:
        - created_at
        - id
        - inventory
        - inventory_group
        - resource
        - task
        - updated_at
    BaseInventory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        group:
          type: integer
          nullable: true
          title: Группа инвентаря
        name:
          type: string
          title: Название
          maxLength: 255
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        category:
          type: integer
          nullable: true
          title: Категория
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        extra:
          title: Доп. данные
        subleases:
          type: array
          items:
            $ref: '#/components/schemas/InventorySublease'
          readOnly: true
        state:
          type: integer
          nullable: true
          title: Состояние
        disabled:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DisabledEnum'
            - $ref: '#/components/schemas/NullEnum'
        rental_point:
          type: integer
          nullable: true
          title: Точка проката
      required:
        - id
        - name
        - subleases
    BaseInventoryGroup:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          nullable: true
          title: Название
          maxLength: 512
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        category:
          type: integer
          nullable: true
          title: Категория
        unit_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Цена за единицу
        unit_count:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Количество единиц
        unit_type:
          allOf:
            - $ref: '#/components/schemas/UnitTypeEnum'
          title: Единица измерения
        unit_sum:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Итого за единицы
        image:
          type: string
          format: uri
          nullable: true
          title: Изображение
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        barcode:
          type: string
          nullable: true
          title: Штрихкод
          maxLength: 255
        extra:
          title: Доп. данные
        filters:
          type: array
          items:
            type: string
            maxLength: 32
          nullable: true
          title: Фильтры
        points:
          type: array
          items:
            type: integer
            maximum: 2147483647
            minimum: -2147483648
          title: Баллы
        published:
          type: boolean
          title: Опубликовано
        type:
          allOf:
            - $ref: '#/components/schemas/BaseInventoryGroupTypeEnum'
          title: Тип
          minimum: 0
          maximum: 32767
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        lifetime:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
          title: Срок службы, дней
        deleted:
          type: boolean
          readOnly: true
      required:
        - created_at
        - deleted
        - id
        - updated_at
    Resource:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          maxLength: 255
        type:
          allOf:
            - $ref: '#/components/schemas/TypeEadEnum'
          minimum: -32768
          maximum: 32767
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        count:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        count_left:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
      required:
        - id
        - name
    InventorySublease:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inventory:
          type: integer
          title: Инвентарь
        user:
          type: integer
          title: Владелец субаренды
        percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          title: Процент субаренды
        start_at:
          type: string
          format: date-time
          nullable: true
          title: Начало периода
        end_at:
          type: string
          format: date-time
          nullable: true
          title: Конец периода
        is_current:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
      required:
        - created_at
        - id
        - inventory
        - is_current
        - percent
        - user
    DisabledEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - удалить
        * `1` - Архив
        * `2` - Списано
    NullEnum:
      enum:
        - null
    UnitTypeEnum:
      enum:
        - litre
        - kg
        - g
        - ml
        - piece
        - m3
      type: string
      description: |-
        * `litre` - Литр
        * `kg` - Килограмм
        * `g` - Грамм
        * `ml` - Миллилитр
        * `piece` - Штука
        * `m3` - Кубический метр
    BaseInventoryGroupTypeEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Аренда
        * `1` - Продажа
    TypeEadEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Количество
        * `1` - Сумма
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````